INSTALLATION INSTRUCTIONS
-------------------------
    Fedora / openSUSE:
        Use whichever GUI your distribution has or:
            sudo rpm -Uhv <downloaded package>

    VERSIONING
    ----------
        Release less than 1.0 is BETA, 1.0+ is STABLE, example:
              BETA (release 0.6): timekpr-next-0.5.1-0.6.fc32.x86_64
            STABLE (release 7.0): timekpr-next-0.5.0-7.0.fc32.x86_64

    NOTES
    -----
        If You are using G3 with Gnome Shell, please DO NOT forget to install this (otherwise icon will be hidden)!

        Fedora:
            sudo dnf install gnome-shell-extension-appindicator

        openSUSE:
            install "KStatusNotifierItem/AppIndicator Support" extension manually from https://extensions.gnome.org/

        Enable extensions if needed (for Fedora install Gnome Tweaks application and enable said extension)
        Let the user log out and in to see the timekpr-nExT in action.
-------------------------

REMOVAL instructions
--------------------
    Fedora:
        sudo dnf remove timekpr-next

    openSUSE:
        sudo zypper remove timekpr-next
-------------------------

BUILD instructions (please open terminal and install this in one go not leaving the terminal (unless You know what to do))!
---------------------------------------------------------------------------------------------------------------------------
    # set version
    Fedora / openSUSE:
        export TNVER="0.5.4"
        export TNREL="1.0"

    # install build tools
    Fedora:
        sudo dnf install rpmdevtools
    openSUSE:
        sudo zypper install rpmdevtools rpm-build

    # this sets up build tree (rpmbuild dir in home directory)
    Fedora / openSUSE:
        rpmdev-setuptree

    # get the timekpr sources
    Fedora / openSUSE:
        wget https://launchpad.net/timekpr-next/stable/${TNVER}/+download/timekpr-next-${TNVER}.tar.gz -P $HOME/rpmbuild/SOURCES/

    # got to source directory and get the spec file
    Fedora / openSUSE:
        cd $HOME/rpmbuild/SPECS/
        tar xzf $HOME/rpmbuild/SOURCES/timekpr-next-${TNVER}.tar.gz --strip-components=2 timekpr-next/spec/timekpr-next.spec

    # install build dependencies
    Fedora:
        sudo dnf builddep timekpr-next.spec
        sudo dnf install libappindicator-gtk3 python3-psutil
    openSUSE:
        sudo zypper install python3 desktop-file-utils appstream-glib systemd sed grep gtk3 python3-dbus-python python3-gobject python3-psutil libayatana-indicator3-7 gettext typelib-1_0-Gtk-3_0 typelib-1_0-AyatanaAppIndicator3-0_1

    # build binary package
    Fedora / openSUSE:
        rpmbuild -bb timekpr-next.spec

    # install needs to be adjusted to correct version of distro (example given for FC32)
    # if installation complains about conflicts with existing package, please remove the old version of package
    # and then install new one or use --force at the end of the command
    Fedora / openSUSE:
        sudo rpm -Uhv $HOME/rpmbuild/RPMS/$(arch)/timekpr-next-${TNVER}-${TNREL}*.x86_64.rpm
---------------------------------------------------------------------------------------------------------------------------
